import { IPopover } from "@libs-ui/components-popover";
import { IColorButton } from "@libs-ui/services-config-project";
export interface IButton {
    key?: string;
    type?: TYPE_BUTTON;
    sizeButton?: TYPE_SIZE_BUTTON;
    iconOnlyType?: boolean;
    label?: string;
    disable?: boolean;
    classInclude?: string;
    classIconLeft?: string;
    classIconRight?: string;
    classLabel?: string;
    popover?: IPopover;
    ignoreStopPropagationEvent?: boolean;
    zIndex?: number;
    isPending?: boolean;
    action?: (data?: any) => Promise<void>;
    styleIconLeft?: Record<string, any>;
    styleButton?: Record<string, any>;
    buttonCustom?: IColorButton;
}
export type TYPE_BUTTON = 'button-primary' | 'button-primary-revert' | 'button-secondary' | 'button-secondary-red' | 'button-outline-secondary' | 'button-third' | 'button-outline' | 'button-danger-high' | 'button-outline-hover-danger' | 'button-third-hover-danger' | 'button-danger-low' | 'button-green' | 'button-violet' | 'button-secondary-green' | 'button-outline-green' | 'button-custom' | 'button-link-primary' | 'button-link-third' | 'button-link-danger-high' | 'button-link-danger-low' | 'button-link-green' | 'button-link-violet' | 'button-link-custom' | string;
export type TYPE_SIZE_BUTTON = 'large' | 'medium' | 'small' | 'smaller';
